Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1240807 - Non-latin glyphs generated by ligatures fi ff fl
Non-latin glyphs generated by ligatures fi ff fl
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
21
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-07 15:51 EDT by Federico Leva
Modified: 2015-12-18 05 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:15:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The letters in question (796 bytes, image/png)
2015-07-07 15:51 EDT, Federico Leva
no flags Details
Font confirmation by Firefox dev tools (17.18 KB, image/png)
2015-07-07 15:52 EDT, Federico Leva
no flags Details
Bold example from this bug report (4.68 KB, image/png)
2015-07-07 15:54 EDT, Federico Leva
no flags Details
PNG image showing error (156.78 KB, image/png)
2015-07-07 17:51 EDT, ByteEnable
no flags Details
Image demostrating ligatures (185.71 KB, image/png)
2015-08-20 13:23 EDT, Vasco Rodrigues
no flags Details
Example from today in Fedora 21 after multiple reboots (7.88 KB, image/png)
2015-12-18 05:01 EST, Federico Leva
no flags Details

  None (edit)
Description Federico Leva 2015-07-07 15:51:48 EDT
Created attachment 1049535 [details]
The letters in question

Digrams fi ff fl became unreadable after latest update to DejaVu Sans and DejaVu Sans Bold, being transformed into another script. See attachment.

$ rpm -qa | grep dejavu
dejavu-sans-mono-fonts-2.35-1.fc21.noarch
dejavu-serif-fonts-2.35-1.fc21.noarch
dejavu-fonts-common-2.35-1.fc21.noarch
dejavu-sans-fonts-2.35-1.fc21.noarch
Comment 1 Federico Leva 2015-07-07 15:52:18 EDT
Created attachment 1049536 [details]
Font confirmation by Firefox dev tools
Comment 2 Federico Leva 2015-07-07 15:54:58 EDT
Created attachment 1049537 [details]
Bold example from this bug report
Comment 3 ByteEnable 2015-07-07 17:50:05 EDT
Getting f's appear as unreadable character when the "DejaVu Serif" is specified in CSS.

This starting happening with the most recent update to the Dejavu fonts:

dejavu-serif-fonts-2.35-1.fc21.noarch
Comment 4 ByteEnable 2015-07-07 17:51:22 EDT
Created attachment 1049597 [details]
PNG image showing error
Comment 5 Vasco Rodrigues 2015-08-20 13:23:13 EDT
Can confirm this, from a new installation of fedora 22, also does this.
Comment 6 Vasco Rodrigues 2015-08-20 13:23:54 EDT
Created attachment 1065335 [details]
Image demostrating ligatures
Comment 7 Vasco Rodrigues 2015-08-20 13:44:33 EDT
(In reply to Vasco Rodrigues from comment #5)
> Can confirm this, from a new installation of fedora 22, also does this.

After updating packages, seems fixed.
Comment 8 Nicolas Mailhot 2015-09-05 08:04:14 EDT
Please check if it exists somewhere else than in the browser, firefox never handled well font updates, it usually needs a restart to clear such effects
Comment 9 Federico Leva 2015-09-05 08:10:29 EDT
(In reply to Nicolas Mailhot from comment #8)
> Please check if it exists somewhere else than in the browser, firefox never
> handled well font updates, it usually needs a restart to clear such effects

I can't test right now because I downgraded. Would it be ok to test in LibreOffice after upgrading again?
Comment 10 Nicolas Mailhot 2015-09-06 11:57:49 EDT
I don't remember if LibreOffice shares the same bug. windows-originated apps tend to suck at handling font updates (because on windows, you do not update fonts and when you do you need rebooting anyway)

GNOME used to be the gold standard, since behdad fixed most warts there, so I'd test in gedit (I hope no one configures away font setup there)
Comment 11 Federico Leva 2015-09-28 13:36:27 EDT
I cannot reproduce the issue with gedit or Firefox on fedora 22. However, it's still present in the fedora 21 package.

(Sorry for the wait, I had to get hold of the other machine with fedora 22.)
Comment 12 Nicolas Mailhot 2015-09-28 13:47:04 EDT
prolly some kind of fontconfig cache problem ?
Comment 13 Akira TAGOH 2015-09-28 21:25:47 EDT
Given that it is the cache problem, does fc-cache -f help? if not, I don't think it is.

FWIW does this issue only happens after updating packages? or does it keep to be presented after restart apps or desktop even?
Comment 14 Federico Leva 2015-10-03 07:37:15 EDT
Ok, I updated the package again on fedora 21... the bug displays itself after some seconds on Firefox, e.g. with DejaVu Sans. With DejaVu Sans Bold another funny one is that "€" is displayed as "Rs".

fc-cache -f doesn't help. I'll try not to downgrade before next reboot to tell you how a restart affects the bug...
Comment 15 Federico Leva 2015-10-30 16:22:11 EDT
After reboot things are better, but not quite right. I still see occasional random glyphs displayed for all sorts of digrams with "f" (and perhaps others), in a seemingly different font too. The difference now is that if I select the text then the display glitch is corrected.
Comment 16 Fedora End Of Life 2015-11-04 05:00:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Pravin Satpute 2015-11-25 08:40:55 EST
Is this bug still exist in F23? Is not please close else move to F23. 
We don't want to loose any valuable bug :)
Comment 18 Fedora End Of Life 2015-12-02 09:15:24 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Federico Leva 2015-12-18 05:01 EST
Created attachment 1107057 [details]
Example from today in Fedora 21 after multiple reboots

Note You need to log in before you can comment on or make changes to this bug.